Covid Update - April 12, 2021

Good day Bermuda College Students,

I hope you are staying safe and well during this difficult time.  Your health and safety is our first priority and we are invested in your academic success in your courses.

Please be reminded that you may enter campus briefly today if there is something that you need to pick up.  However, during the Shelter-in-place period which starts tomorrow, the campus will be closed to everyone.  We will provide you with updates as the government modifies restrictions in response to changes in the severity of covid-19 on island. 

If you need to reach out to your instructors, please contact them via email.  Go to https://www.college.bm/index.php/contact-us/ if you need an email address.   Here are some additional services that you may need:

Access help with Moodle or IT Contact the Helpdesk (helpdesk@college.bm, 239-4357).

Access tutoring.  Visit arctutoring@college.bm to schedule tutoring sessions.  Tutoring assistance is available 24/7 at www.SMARTHINKING.com.  Students with special concerns should speak with a tutor or counsellor to schedule an in-person appointment.

Book a counselling appointment. Book a counselling appointment via the BC APP using the “Book with CCC” tile or on the CCC web page at college.bm. 

Final Exams and Commencement. As indicated in a previous email, we will provide an update on final exams by April 16, 2021.  Information about commencement will also be provided thereafter.

I encourage you all to study hard and do well.  Do your best.  If you are experiencing difficulty, please reach out to your counselor and or your instructor.  Feel free to contact me or your Division Head.  We are all here to help.  Please follow all health and safety guidelines.  Be safe and well!

Regards,

Dr. Phyllis Curtis-Tweed
Vice President, Academic & Student Affairs
ACADEMIC & STUDENT AFFAIRS
21 Stonington Ave, Paget PG 04, Bermuda
T| 441.239-4002   F| 441.239.4055  E| ptweed@college.bm 
Accredited by the New England Commission of Higher Education (NECHE) 

cid:image004.jpg@01D56736.D9688BE0


Covid Update  - April 11, 2021 - Dr. Greene, President

Good evening BC Community

I am sure you are all aware that the Government has announced that the island will be under a “stay at home order” from 5:00 a.m. on Tuesday, April 13, for seven (7) days.  As a result the college campus will be closed and all classes and services will be remote until further notice. 

 The campus will be open tomorrow, Monday, April 12, from 8:30 a.m. to 4:30 p.m. for employees and students to collect any belongings.  Persons should report to one of the Security check points upon arrival on the campus to have their temperatures checked and contact details recorded.   While on campus, please follow all covid health and safety guidelines and limit your contact with others.

BC’s Emergency Management Team will meet tomorrow morning and a further update will be provided tomorrow afternoon.  In the meantime, be safe!

Sincerely

Dr. Duranda Greene
President
Bermuda College
Stonington Avenue, Paget PG 04, Bermuda
P.O. Box HM2718, Hamilton HM LX, Bermuda
T| 441.239.4044   F| 441.239-4055  C| 441.535-4044
E| dgreene@college.bm
Accredited by the New England Commission of Higher Education (NECHE)


Covid Update  - April 5, 2021

Good day BC Students and Employees

I hope you had a wonderful Easter weekend and this email finds you and your families doing well.

As we continue to grapple with the ever-changing landscape of this pandemic and the impact of the UK variant on our numbers, please be advised of the following:

Remote Classes:  The campus facilities remain closed and classes will continue to be taught remotely for the remainder of the semester.   Students in lab classes that shifted to remote learning last week (Art, Culinary Arts, Technical Education, Science, Nursing and PACE Division WITS Fitness) will receive a notification from their lecturers regarding the status of the labs.  Unfortunately, at this time students will not be able to book space on campus.

Remote Services:  All campus offices remain closed to students and the general public until further notice.  This includes the Bookstore, Library, Registrar’s Office, and the Accounts Office.  The switchboard remains open and can be reached at 236-9000.  BC employees are working remotely and can be reached by telephone or email.  The faculty and staff directory can be found on the website under the “Faculty and Staff” tab on the main menu.

Help Desk:  The Help Desk is available to provide assistance and can be reached by phone at 239-4357 (HELP) or by email at support@college.bm and its@college.bm.

Online Registration:  Online pre-registration for Fall 2021 is now open and students can register via the Student Portal on the website.  Students should contact their academic advisors, their Dean or the Registrar’s Office (serr@college.bm) if they are in need of assistance.

Final Examinations:  A decision regarding the format for final exams will be made by Friday, April 16, and will be communicated by Dr. Curtis-Tweed, the VP for Academic & Student Affairs.

Graduation/Commencement:  The graduation application deadline has been extended to Friday, April 9.  The application fee can be paid online via the Student Portal.  If you have any issues please contact the Registrar, Mrs. Carleen Place, at cplace@college.bm.   The format and details about graduation will be shared by the Registrar on April 23.

Testing & Assessment Centre:  The Testing & Assessment Centre will remain open for scheduled examinations.

Government’s Vaccination Centre:  The Government’s vaccination centre remains open.

It has been more than a year since the pandemic hit our shores and some may be feeling stressed.  If you are a student in need of assistance please reach out to one of the counsellors in the Career and Counselling Centre via the BC App.  If you are an employee, reach out to EAP (292-9000).  Also remember the Government’s Emotional Well-Being Hotline (543-1111) is available from 9:00 a.m. to 9:00 p.m. every day to anyone needing support.

Please continue to follow all covid health and safety guidelines and keep safe!

Warm regards

 

Dr. Duranda Greene
President
Bermuda College
Stonington Avenue, Paget PG 04, Bermuda
P.O. Box HM2718, Hamilton HM LX, Bermuda
T| 441.239.4044   F| 441.239-4055  C| 441.535-4044
E| dgreene@college.bm
Accredited by the New England Commission of Higher Education (NECHE)

Last modified: Monday, April 12, 2021, 3:28 PM